Package oasis.names.tc.saml._1_0.assertion

# Class AudienceRestrictionCondition

java.lang.Object
oasis.names.tc.saml._1_0.assertion.ConditionAbstractType
oasis.names.tc.saml._1_0.assertion.AudienceRestrictionCondition

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class AudienceRestrictionCondition extends ConditionAbstractType implements Serializable

Java class for AudienceRestrictionConditionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AudienceRestrictionConditionType">
       <complexContent>
         <extension base="{urn:oasis:names:tc:SAML:1.0:assertion}ConditionAbstractType">
           <sequence>
             <element ref="{urn:oasis:names:tc:SAML:1.0:assertion}Audience" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AudienceRestrictionCondition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAudiences()`
  Gets the value of the audiences property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AudienceRestrictionCondition

    public AudienceRestrictionCondition()

- ## Method Details

  - ### getAudiences

    public List<String> getAudiences()
    Gets the value of the audiences property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the audiences property.

    For example, to add a new item, do as follows:

         getAudiences().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the audiences property.